import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetDataPropsParams } from '../../../position/template/app-token.template.types';
import { AaveSafetyModuleContractFactory, AaveStkAbpt } from '../contracts';
export declare class EthereumAaveSafetyModuleStkAbptTokenFetcher extends AppTokenTemplatePositionFetcher<AaveStkAbpt> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: AaveSafetyModuleContractFactory;
    groupLabel: string;
    stkApyHelperAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: AaveSafetyModuleContractFactory);
    getContract(address: string): AaveStkAbpt;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions(): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare(): Promise<number[]>;
    getApy({ multicall }: GetDataPropsParams<AaveStkAbpt>): Promise<number>;
}
